<?php

/**
 * BuddyPress - Activity Post Form
 *
 * @package BuddyPress
 * @subpackage bp-default
 */

?>

<form action="<?php bp_activity_post_form_action(); ?>" method="post" id="whats-new-form" name="whats-new-form" role="complementary">

	<?php do_action( 'bp_before_activity_post_form' ); ?>

	<div class="well well-sm">
    <div id="whats-new-content" class="row">
		<div id="whats-new-options" class="col-xs-12 col-md-4">

            <div id="whats-new-avatar">
                <a href="<?php echo bp_loggedin_user_domain(); ?>">
                    <?php bp_loggedin_user_avatar( 'width=' . bp_core_avatar_thumb_width() . '&height=' . bp_core_avatar_thumb_height() ); ?>
                </a>
            </div>
        
            <h5><?php if ( bp_is_group() )
                    printf( __( "What's new in %s, %s?", 'firmasite' ), bp_get_group_name(), bp_get_user_firstname() );
                else
                    printf( __( "What's new, %s?", 'firmasite' ), bp_get_user_firstname() );
            ?></h5>
            
            <div class="clearfix"></div>

			<?php if ( bp_is_active( 'groups' ) && !bp_is_my_profile() && !bp_is_group() ) : ?>

				<div id="whats-new-post-in-box">

					<div class="help-block"><?php _e( 'Post in', 'firmasite' ); ?>:</div>

					<select id="whats-new-post-in" name="whats-new-post-in">
						<option selected="selected" value="0"><?php _e( 'My Profile', 'firmasite' ); ?></option>

						<?php if ( bp_has_groups( 'user_id=' . bp_loggedin_user_id() . '&type=alphabetical&max=100&per_page=100&populate_extras=0' ) ) :
							while ( bp_groups() ) : bp_the_group(); ?>

								<option value="<?php bp_group_id(); ?>"><?php bp_group_name(); ?></option>

							<?php endwhile;
						endif; ?>

					</select>
				</div>
				<input type="hidden" id="whats-new-post-object" name="whats-new-post-object" value="groups" />

			<?php elseif ( bp_is_group_home() ) : ?>

				<input type="hidden" id="whats-new-post-object" name="whats-new-post-object" value="groups" />
				<input type="hidden" id="whats-new-post-in" name="whats-new-post-in" value="<?php bp_group_id(); ?>" />

			<?php endif; ?>

			<?php do_action( 'bp_activity_post_form_options' ); ?>

			<div id="whats-new-submit">
				<input type="submit" class="btn btn-primary" name="aw-whats-new-submit" id="aw-whats-new-submit" value="<?php _e( 'Post Update', 'firmasite' ); ?>" />
			</div>

		</div><!-- #whats-new-options -->

		<div id="whats-new-textarea" class="col-xs-12 col-md-8">
			<?php $content = ""; if ( isset( $_GET['r'] ) ) : $content = "@". esc_attr( $_GET['r'] ); endif;
			echo firmasite_wp_editor($content , 'whats-new' ); 
			/*
			<textarea name="whats-new" id="whats-new" cols="50" rows="10"><?php if ( isset( $_GET['r'] ) ) : ?>@<?php echo esc_attr( $_GET['r'] ); ?> <?php endif; ?></textarea>
			*/
			?>
		</div>

	</div><!-- #whats-new-content -->
    </div>

	<?php wp_nonce_field( 'post_update', '_wpnonce_post_update' ); ?>
	<?php do_action( 'bp_after_activity_post_form' ); ?>

</form><!-- #whats-new-form -->
